Subject: Re: Board Bringup problem with 2.6.13.4

From: Andrei Konovalov <[email-masked]>
Date: Wed, 02 Nov 2005 17:07:17 +0300

Your problem seems to be due to the CPU_213 errata:

ftp://ftp.xilinx.com/pub/documentation/misc/ppc405f6v5_2_0.pdf, page 22

Best regards,
Andrei

David H. Lynch Jr wrote:
> I am working through bringing up Linux 2.6.13.4 on a Xilinx V4 based 
> ppc405.
> with memory from 0x0 through 0x7fffffff
> 
> 
> 
> Right now I get:
> 
>  >Starting MonitorX.elf: V3.3.2.0.
>  >
>  >loaded at:     00400000 0047F13C
>  >board data at: 0047D128 0047D13C
>  >relocated to:  00405300 00405314
>  >zimage at:     00405A95 0047CE71
>  >avail ram:     00480000 08000000
>  >
>  >Linux/PPC load: console=ttyS0,9600 console=tty0 init=/linuxrc 
> looptype=squashfs cdroot splash=silentttttt
>  >Uncompressing Linux......done.
>  >Now booting the kernel
> 
> I have been able to trace execution into head_4xx.S  to immediately 
> before turn_on_mmu:
> But immediately after this I lose the ability to trace.
> 
> I have been tracing things with a status port at 0x70000000 I can write 
> to and read from the host side with code like
> 
>    lis   r14,0x7000      /* debugging port */
>    li   r15,0x2305      /* value to output */
>    stw   r15,4(r14)     eieio
> 
> after turn_on_mmu executes this does not seem to work.
> looking at other code it appeared that I needed to add
> tophy(r14,r14) prior to the stw
> but that does not seem to help.
> 
> What do I need to do to be able to continue to use my debug port ?
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded